/**
 * @file    getlocations-pro-jqrun.js
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 */

jQuery(document).ready(function($) {

  // hide/show
  // fullscreen
  if ($("input[id$=fullscreen_enable]").prop('checked')) {
    $(".leaflet_fullscreen").show();
  }
  else {
    $(".leaflet_fullscreen").hide();
  }
  $("input[id$=fullscreen_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_fullscreen").show();
    }
    else {
      $(".leaflet_fullscreen").hide();
    }
  });

  // pancontrol
  if ($("input[id$=pancontrol_enable]").prop('checked')) {
    $(".leaflet_pancontrol").show();
  }
  else {
    $(".leaflet_pancontrol").hide();
  }
  $("input[id$=pancontrol_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_pancontrol").show();
    }
    else {
      $(".leaflet_pancontrol").hide();
    }
  });

  // mouseposition
  if ($("input[id$=mouseposition_enable]").prop('checked')) {
    $(".leaflet_mouseposition").show();
  }
  else {
    $(".leaflet_mouseposition").hide();
  }
  $("input[id$=mouseposition_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_mouseposition").show();
    }
    else {
      $(".leaflet_mouseposition").hide();
    }
  });
  // zoomslider
  if ($("input[id$=zoomslider_enable]").prop('checked')) {
    $(".leaflet_zoomslider").show();
  }
  else {
    $(".leaflet_zoomslider").hide();
  }
  $("input[id$=zoomslider_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_zoomslider").show();
    }
    else {
      $(".leaflet_zoomslider").hide();
    }
  });
  // magnifyingglass
  if ($("input[id$=magnifyingglass_enable]").prop('checked')) {
    $(".leaflet_magnifyingglass").show();
  }
  else {
    $(".leaflet_magnifyingglass").hide();
  }
  $("input[id$=magnifyingglass_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_magnifyingglass").show();
    }
    else {
      $(".leaflet_magnifyingglass").hide();
    }
  });

  // scale
  if ($("input[id$=scale]").prop('checked')) {
    $(".leaflet_scale").show();
  }
  else {
    $(".leaflet_scale").hide();
  }
  $("input[id$=scale]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_scale").show();
    }
    else {
      $(".leaflet_scale").hide();
    }
  });

  // zoomControl
  if ($("input[id$=zoomcontrol]").prop('checked')) {
      $(".leaflet_zoomControl").show();
  }
  else {
    $(".leaflet_zoomControl").hide();
  }
  $("input[id$=zoomcontrol]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_zoomControl").show();
    }
    else {
      $(".leaflet_zoomControl").hide();
    }
  });

  // layersControl
  if ($("input[id$=layerscontrol]").prop('checked')) {
    $(".leaflet_layersControl").show();
  }
  else {
    $(".leaflet_layersControl").hide();
  }
  $("input[id$=layerscontrol]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_layersControl").show();
    }
    else {
      $(".leaflet_layersControl").hide();
    }
  });

  // terminator
  if ($("input[id$=terminator_enable]").prop('checked')) {
    $(".leaflet_terminator").show();
  }
  else {
    $(".leaflet_terminator").hide();
  }
  $("input[id$=terminator_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_terminator").show();
    }
    else {
      $(".leaflet_terminator").hide();
    }
  });

  // graticule
  if ($("input[id$=graticule_enable]").prop('checked')) {
    $(".leaflet_graticule").show();
  }
  else {
    $(".leaflet_graticule").hide();
  }
  $("input[id$=graticule_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_graticule").show();
    }
    else {
      $(".leaflet_graticule").hide();
    }
  });

  // geocoder
  if ($("input[id$=geocoder_enable]").prop('checked')) {
    $(".leaflet_geocoder").show();
  }
  else {
    $(".leaflet_geocoder").hide();
  }
  $("input[id$=geocoder_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_geocoder").show();
    }
    else {
      $(".leaflet_geocoder").hide();
    }
  });

  // kml
  if ($("input[id$=kml_enable]").prop('checked')) {
    $(".leaflet_kml").show();
    $("#kml_filename_show").text( $("#kml_filename").val() );
  }
  else {
    $(".leaflet_kml").hide();
  }
  $("input[id$=kml_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".leaflet_kml").show();
    }
    else {
      $(".leaflet_kml").hide();
    }
  });

  // geocoder providers
  if ($("input[id$=arcgis_enable]").prop('checked')) {
    $(".geocoder_arcgis").show();
  }
  else {
    $(".geocoder_arcgis").hide();
  }
  $("input[id$=arcgis_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".geocoder_arcgis").show();
    }
    else {
      $(".geocoder_arcgis").hide();
    }
  });

  if ($("input[id$=google_enable]").prop('checked')) {
    $(".geocoder_google").show();
  }
  else {
    $(".geocoder_google").hide();
  }
  $("input[id$=google_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".geocoder_google").show();
    }
    else {
      $(".geocoder_google").hide();
    }
  });

  if ($("input[id$=mapbox_enable]").prop('checked')) {
    $(".geocoder_mapbox").show();
  }
  else {
    $(".geocoder_mapbox").hide();
  }
  $("input[id$=mapbox_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".geocoder_mapbox").show();
    }
    else {
      $(".geocoder_mapbox").hide();
    }
  });

  if ($("input[id$=neutrino_enable]").prop('checked')) {
    $(".geocoder_neutrino").show();
  }
  else {
    $(".geocoder_neutrino").hide();
  }
  $("input[id$=neutrino_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".geocoder_neutrino").show();
    }
    else {
      $(".geocoder_neutrino").hide();
    }
  });

  if ($("input[id$=opencage_enable]").prop('checked')) {
    $(".geocoder_opencage").show();
  }
  else {
    $(".geocoder_opencage").hide();
  }
  $("input[id$=opencage_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".geocoder_opencage").show();
    }
    else {
      $(".geocoder_opencage").hide();
    }
  });

  if ($("input[id$=what3words_enable]").prop('checked')) {
    $(".geocoder_what3words").show();
  }
  else {
    $(".geocoder_what3words").hide();
  }
  $("input[id$=what3words_enable]").change(function() {
    if ($(this).prop('checked')) {
      $(".geocoder_what3words").show();
    }
    else {
      $(".geocoder_what3words").hide();
    }
  });

  // help scroll
  if ( $(".help-right").is('div') ) {
    var helpoff = -190;
    var helptop = parseInt( $(".help-right").offset().top );
    var h1_off = parseInt( $("#a_settings").offset().top + helpoff );
    var h2_off = parseInt( $("#a_providers").offset().top + helpoff );
    var h3_off = parseInt( $("#a_markers").offset().top + helpoff );
    var h4_off = parseInt( $("#a_plugins").offset().top + helpoff );
    var h5_off = parseInt( $("#a_shortcode").offset().top + helpoff );
    $(".help-right").scrollTop(h1_off);
    $("#an_settings").css( { borderLeft: "2px solid orange", paddingLeft: "4px"} );
    $("#an_providers").css({ borderLeft: "0px", paddingLeft: "6px"} );
    $("#an_markers").css(  { borderLeft: "0px", paddingLeft: "6px"} );
    $("#an_plugins").css(  { borderLeft: "0px", paddingLeft: "6px"} );
    $("#an_shortcode").css({ borderLeft: "0px", paddingLeft: "6px"} );

    $("#an_settings").click(function(event) {
      event.preventDefault();
      $(".help-right").stop().animate({scrollTop: h1_off}, 800);
      $("#an_settings").css( { borderLeft: "2px solid orange", paddingLeft: "4px"} );
      $("#an_providers").css({ borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_markers").css(  { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_plugins").css(  { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_shortcode").css({ borderLeft: "0px", paddingLeft: "6px"} );
    });

    $("#an_providers").click(function(event) {
      event.preventDefault();
      $(".help-right").stop().animate({scrollTop: h2_off}, 800);
      $("#an_settings").css( { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_providers").css({ borderLeft: "2px solid orange", paddingLeft: "4px"} );
      $("#an_markers").css(  { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_plugins").css(  { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_shortcode").css({ borderLeft: "0px", paddingLeft: "6px"} );
    });

    $("#an_markers").click(function(event) {
      event.preventDefault();
      $(".help-right").stop().animate({scrollTop: h3_off}, 800);
      $("#an_settings").css( { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_providers").css({ borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_markers").css(  { borderLeft: "2px solid orange", paddingLeft: "4px"} );
      $("#an_plugins").css(  { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_shortcode").css({ borderLeft: "0px", paddingLeft: "6px"} );
    });

    $("#an_plugins").click(function(event) {
      event.preventDefault();
      $(".help-right").stop().animate({scrollTop: h4_off}, 800);
      $("#an_settings").css( { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_providers").css({ borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_markers").css(  { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_plugins").css(  { borderLeft: "2px solid orange", paddingLeft: "4px"} );
      $("#an_shortcode").css({ borderLeft: "0px", paddingLeft: "6px"} );
    });

    $("#an_shortcode").click(function(event) {
      event.preventDefault();
      $(".help-right").stop().animate({scrollTop: h5_off}, 800);
      $("#an_settings").css( { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_providers").css({ borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_markers").css(  { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_plugins").css(  { borderLeft: "0px", paddingLeft: "6px"} );
      $("#an_shortcode").css({ borderLeft: "2px solid orange", paddingLeft: "4px"} );
    });
  }

}); // end jquery
