<?php
/**
 * @file    markers.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 */

  $data = FALSE;
  if ( isset($reset) && $reset ) {
    $data = $share->make_marker_data($markerdir, $markerurl, $reset);
    if ($data) {
      $reset = FALSE;
    }
  }
  else {
    $reset = FALSE;
  }
  echo '<h2>'. $title . '</h2>';
?>

<div class="wrap">
  <form method="post" action="<?php echo GETLOCATIONS_LITE_ADMIN_URL ?>">
    <input type="hidden" id="formaction" name="formaction" value="<?php echo $formaction; ?>" />
    <?php wp_nonce_field($formaction); ?>
    <table class="form-table" role="presentation">
      <tr><th scope="row">Markers</th><td>
  <?php
    $default_marker = $this->default_marker;
    $titles = $share->get_marker_titles();
    $c = count($titles);
    if (! empty($getlocations_lite_default_marker) ) {
      $default_marker = $getlocations_lite_default_marker;
    }
    $marker_dd = $share->get_marker_data_dd($default_marker, 'default_marker' );
    echo "<p>$c Markers installed<br>Default Marker: " . $marker_dd . '</p>';

  ?>
      </td></tr>

      <tr><th scope="row"><?php echo __('Rebuild markers', 'getlocations-lite'); ?></th><td><input type="checkbox" id="reset" name="reset" value="1" <?php echo ($reset ? 'checked="checked"' : ''); ?> />&nbsp;<label for="reset"><?php echo __('Rebuild the marker data.', 'getlocations-lite'); ?></label>
      <?php if ($data) { echo '<p>Markers rebuilt</p>'; } ?>
      </td></tr>

      <tr><th scope="row"><?php echo __('Fontawesome markers', 'getlocations-lite'); ?></th>
        <td>
  <?php
    // $this->map_plugins['leaflet_plugin_awesome']
    // check for fontawesome wp official plugin
    $is_fontaw = FALSE;
    $parr = get_option('font-awesome');
    if ( isset($this->map_plugins['leaflet_plugin_awesome']) && $this->map_plugins['leaflet_plugin_awesome'] == 1 ) {
      echo '<div>' . __('Plugin Enabled', 'getlocations-lite') . '</div>';
      if ($parr) {
        echo '<div>' . __('Fontawesome official plugin is installed', 'getlocations-lite') . '</div>';
      }
      else {
        echo '<div>' . __('You need to install the Fontawesome official plugin, this will give you the latest icons', 'getlocations-lite') . '</div>';
      }
    }
    else {
      echo '<div>' . __('Plugin Disabled', 'getlocations-lite') . '</div>';
      echo '<div>' . __('Go to the Getlocations Plugins page to enable this feature', 'getlocations-lite') . '</div>';
    }
  ?>
        </td>
      </tr>

    </table>
    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Save Changes', 'getlocations-lite'); ?>"/></p>
  </form>
</div>
