<?php
/**
 * @file    class-getlocations-lite-countries.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 *
 * A class providing a list of countries
 */


class Getlocations_Lite_Countries {

  public function __construct() {

    $this->countries = array(
      "AF" => __( "Afghanistan", 'getlocations-lite' ),
      "AX" => __( "Aland Islands", 'getlocations-lite' ),
      "AL" => __( "Albania", 'getlocations-lite' ),
      "DZ" => __( "Algeria", 'getlocations-lite' ),
      "AS" => __( "American Samoa", 'getlocations-lite' ),
      "AD" => __( "Andorra", 'getlocations-lite' ),
      "AO" => __( "Angola", 'getlocations-lite' ),
      "AI" => __( "Anguilla", 'getlocations-lite' ),
      "AQ" => __( "Antarctica", 'getlocations-lite' ),
      "AG" => __( "Antigua and Barbuda", 'getlocations-lite' ),
      "AR" => __( "Argentina", 'getlocations-lite' ),
      "AM" => __( "Armenia", 'getlocations-lite' ),
      "AW" => __( "Aruba", 'getlocations-lite' ),
      "AU" => __( "Australia", 'getlocations-lite' ),
      "AT" => __( "Austria", 'getlocations-lite' ),
      "AZ" => __( "Azerbaijan", 'getlocations-lite' ),
      "BS" => __( "Bahamas", 'getlocations-lite' ),
      "BH" => __( "Bahrain", 'getlocations-lite' ),
      "BD" => __( "Bangladesh", 'getlocations-lite' ),
      "BB" => __( "Barbados", 'getlocations-lite' ),
      "BY" => __( "Belarus", 'getlocations-lite' ),
      "BE" => __( "Belgium", 'getlocations-lite' ),
      "BZ" => __( "Belize", 'getlocations-lite' ),
      "BJ" => __( "Benin", 'getlocations-lite' ),
      "BM" => __( "Bermuda", 'getlocations-lite' ),
      "BT" => __( "Bhutan", 'getlocations-lite' ),
      "BO" => __( "Bolivia", 'getlocations-lite' ),
      "BQ" => __( "Bonaire, Sint Eustatius and Saba", 'getlocations-lite' ),
      "BA" => __( "Bosnia and Herzegovina", 'getlocations-lite' ),
      "BW" => __( "Botswana", 'getlocations-lite' ),
      "BV" => __( "Bouvet Island", 'getlocations-lite' ),
      "BR" => __( "Brazil", 'getlocations-lite' ),
      "IO" => __( "British Indian Ocean Territory", 'getlocations-lite' ),
      "BN" => __( "Brunei Darussalam", 'getlocations-lite' ),
      "BG" => __( "Bulgaria", 'getlocations-lite' ),
      "BF" => __( "Burkina Faso", 'getlocations-lite' ),
      "BI" => __( "Burundi", 'getlocations-lite' ),
      "KH" => __( "Cambodia", 'getlocations-lite' ),
      "CM" => __( "Cameroon", 'getlocations-lite' ),
      "CA" => __( "Canada", 'getlocations-lite' ),
      "CV" => __( "Cape Verde", 'getlocations-lite' ),
      "KY" => __( "Cayman Islands", 'getlocations-lite' ),
      "CF" => __( "Central African Republic", 'getlocations-lite' ),
      "TD" => __( "Chad", 'getlocations-lite' ),
      "CL" => __( "Chile", 'getlocations-lite' ),
      "CN" => __( "China", 'getlocations-lite' ),
      "CX" => __( "Christmas Island", 'getlocations-lite' ),
      "CC" => __( "Cocos (Keeling) Islands", 'getlocations-lite' ),
      "CO" => __( "Colombia", 'getlocations-lite' ),
      "KM" => __( "Comoros", 'getlocations-lite' ),
      "CG" => __( "Congo", 'getlocations-lite' ),
      "CD" => __( "Congo, the Democratic Republic of the", 'getlocations-lite' ),
      "CK" => __( "Cook Islands", 'getlocations-lite' ),
      "CR" => __( "Costa Rica", 'getlocations-lite' ),
      "CI" => __( "Cote d'Ivoire", 'getlocations-lite' ),
      "HR" => __( "Croatia", 'getlocations-lite' ),
      "CU" => __( "Cuba", 'getlocations-lite' ),
      "CW" => __( "Curacao", 'getlocations-lite' ),
      "CY" => __( "Cyprus", 'getlocations-lite' ),
      "CZ" => __( "Czech Republic", 'getlocations-lite' ),
      "DK" => __( "Denmark", 'getlocations-lite' ),
      "DJ" => __( "Djibouti", 'getlocations-lite' ),
      "DM" => __( "Dominica", 'getlocations-lite' ),
      "DO" => __( "Dominican Republic", 'getlocations-lite' ),
      "EC" => __( "Ecuador", 'getlocations-lite' ),
      "EG" => __( "Egypt", 'getlocations-lite' ),
      "SV" => __( "El Salvador", 'getlocations-lite' ),
      "GQ" => __( "Equatorial Guinea", 'getlocations-lite' ),
      "ER" => __( "Eritrea", 'getlocations-lite' ),
      "EE" => __( "Estonia", 'getlocations-lite' ),
      "ET" => __( "Ethiopia", 'getlocations-lite' ),
      "FK" => __( "Falkland Islands (Malvinas)", 'getlocations-lite' ),
      "FO" => __( "Faroe Islands", 'getlocations-lite' ),
      "FJ" => __( "Fiji", 'getlocations-lite' ),
      "FI" => __( "Finland", 'getlocations-lite' ),
      "FR" => __( "France", 'getlocations-lite' ),
      "GF" => __( "French Guiana", 'getlocations-lite' ),
      "PF" => __( "French Polynesia", 'getlocations-lite' ),
      "TF" => __( "French Southern Territories", 'getlocations-lite' ),
      "GA" => __( "Gabon", 'getlocations-lite' ),
      "GM" => __( "Gambia", 'getlocations-lite' ),
      "GE" => __( "Georgia", 'getlocations-lite' ),
      "DE" => __( "Germany", 'getlocations-lite' ),
      "GH" => __( "Ghana", 'getlocations-lite' ),
      "GI" => __( "Gibraltar", 'getlocations-lite' ),
      "GR" => __( "Greece", 'getlocations-lite' ),
      "GL" => __( "Greenland", 'getlocations-lite' ),
      "GD" => __( "Grenada", 'getlocations-lite' ),
      "GP" => __( "Guadeloupe", 'getlocations-lite' ),
      "GU" => __( "Guam", 'getlocations-lite' ),
      "GT" => __( "Guatemala", 'getlocations-lite' ),
      "GG" => __( "Guernsey", 'getlocations-lite' ),
      "GN" => __( "Guinea", 'getlocations-lite' ),
      "GW" => __( "Guinea-Bissau", 'getlocations-lite' ),
      "GY" => __( "Guyana", 'getlocations-lite' ),
      "HT" => __( "Haiti", 'getlocations-lite' ),
      "HM" => __( "Heard Island and McDonald Islands", 'getlocations-lite' ),
      "VA" => __( "Holy See (Vatican City State)", 'getlocations-lite' ),
      "HN" => __( "Honduras", 'getlocations-lite' ),
      "HK" => __( "Hong Kong", 'getlocations-lite' ),
      "HU" => __( "Hungary", 'getlocations-lite' ),
      "IS" => __( "Iceland", 'getlocations-lite' ),
      "IN" => __( "India", 'getlocations-lite' ),
      "ID" => __( "Indonesia", 'getlocations-lite' ),
      "IR" => __( "Iran", 'getlocations-lite' ),
      "IQ" => __( "Iraq", 'getlocations-lite' ),
      "IE" => __( "Ireland", 'getlocations-lite' ),
      "IM" => __( "Isle of Man", 'getlocations-lite' ),
      "IL" => __( "Israel", 'getlocations-lite' ),
      "IT" => __( "Italy", 'getlocations-lite' ),
      "JM" => __( "Jamaica", 'getlocations-lite' ),
      "JP" => __( "Japan", 'getlocations-lite' ),
      "JE" => __( "Jersey", 'getlocations-lite' ),
      "JO" => __( "Jordan", 'getlocations-lite' ),
      "KZ" => __( "Kazakhstan", 'getlocations-lite' ),
      "KE" => __( "Kenya", 'getlocations-lite' ),
      "KI" => __( "Kiribati", 'getlocations-lite' ),
      "KP" => __( "North Korea", 'getlocations-lite' ),
      "KR" => __( "South Korea", 'getlocations-lite' ),
      "KW" => __( "Kuwait", 'getlocations-lite' ),
      "KG" => __( "Kyrgyzstan", 'getlocations-lite' ),
      "LA" => __( "Laos", 'getlocations-lite' ),
      "LV" => __( "Latvia", 'getlocations-lite' ),
      "LB" => __( "Lebanon", 'getlocations-lite' ),
      "LS" => __( "Lesotho", 'getlocations-lite' ),
      "LR" => __( "Liberia", 'getlocations-lite' ),
      "LY" => __( "Libya", 'getlocations-lite' ),
      "LI" => __( "Liechtenstein", 'getlocations-lite' ),
      "LT" => __( "Lithuania", 'getlocations-lite' ),
      "LU" => __( "Luxembourg", 'getlocations-lite' ),
      "MO" => __( "Macao", 'getlocations-lite' ),
      "MK" => __( "Macedonia", 'getlocations-lite' ),
      "MG" => __( "Madagascar", 'getlocations-lite' ),
      "MW" => __( "Malawi", 'getlocations-lite' ),
      "MY" => __( "Malaysia", 'getlocations-lite' ),
      "MV" => __( "Maldives", 'getlocations-lite' ),
      "ML" => __( "Mali", 'getlocations-lite' ),
      "MT" => __( "Malta", 'getlocations-lite' ),
      "MH" => __( "Marshall Islands", 'getlocations-lite' ),
      "MQ" => __( "Martinique", 'getlocations-lite' ),
      "MR" => __( "Mauritania", 'getlocations-lite' ),
      "MU" => __( "Mauritius", 'getlocations-lite' ),
      "YT" => __( "Mayotte", 'getlocations-lite' ),
      "MX" => __( "Mexico", 'getlocations-lite' ),
      "FM" => __( "Micronesia", 'getlocations-lite' ),
      "MD" => __( "Moldova", 'getlocations-lite' ),
      "MC" => __( "Monaco", 'getlocations-lite' ),
      "MN" => __( "Mongolia", 'getlocations-lite' ),
      "ME" => __( "Montenegro", 'getlocations-lite' ),
      "MS" => __( "Montserrat", 'getlocations-lite' ),
      "MA" => __( "Morocco", 'getlocations-lite' ),
      "MZ" => __( "Mozambique", 'getlocations-lite' ),
      "MM" => __( "Myanmar", 'getlocations-lite' ),
      "NA" => __( "Namibia", 'getlocations-lite' ),
      "NR" => __( "Nauru", 'getlocations-lite' ),
      "NP" => __( "Nepal", 'getlocations-lite' ),
      "NL" => __( "Netherlands", 'getlocations-lite' ),
      "NC" => __( "New Caledonia", 'getlocations-lite' ),
      "NZ" => __( "New Zealand", 'getlocations-lite' ),
      "NI" => __( "Nicaragua", 'getlocations-lite' ),
      "NE" => __( "Niger", 'getlocations-lite' ),
      "NG" => __( "Nigeria", 'getlocations-lite' ),
      "NU" => __( "Niue", 'getlocations-lite' ),
      "NF" => __( "Norfolk Island", 'getlocations-lite' ),
      "MP" => __( "Northern Mariana Islands", 'getlocations-lite' ),
      "NO" => __( "Norway", 'getlocations-lite' ),
      "OM" => __( "Oman", 'getlocations-lite' ),
      "PK" => __( "Pakistan", 'getlocations-lite' ),
      "PW" => __( "Palau", 'getlocations-lite' ),
      "PS" => __( "Palestine", 'getlocations-lite' ),
      "PA" => __( "Panama", 'getlocations-lite' ),
      "PG" => __( "Papua New Guinea", 'getlocations-lite' ),
      "PY" => __( "Paraguay", 'getlocations-lite' ),
      "PE" => __( "Peru", 'getlocations-lite' ),
      "PH" => __( "Philippines", 'getlocations-lite' ),
      "PN" => __( "Pitcairn", 'getlocations-lite' ),
      "PL" => __( "Poland", 'getlocations-lite' ),
      "PT" => __( "Portugal", 'getlocations-lite' ),
      "PR" => __( "Puerto Rico", 'getlocations-lite' ),
      "QA" => __( "Qatar", 'getlocations-lite' ),
      "RE" => __( "Reunion", 'getlocations-lite' ),
      "RO" => __( "Romania", 'getlocations-lite' ),
      "RU" => __( "Russian Federation", 'getlocations-lite' ),
      "RW" => __( "Rwanda", 'getlocations-lite' ),
      "BL" => __( "Saint-Barthelemy", 'getlocations-lite' ),
      "SH" => __( "Saint Helena, Ascension and Tristan da Cunha", 'getlocations-lite' ),
      "KN" => __( "Saint Kitts and Nevis", 'getlocations-lite' ),
      "LC" => __( "Saint Lucia", 'getlocations-lite' ),
      "MF" => __( "Saint Martin (French part)", 'getlocations-lite' ),
      "PM" => __( "Saint Pierre and Miquelon", 'getlocations-lite' ),
      "VC" => __( "Saint Vincent and the Grenadines", 'getlocations-lite' ),
      "WS" => __( "Samoa", 'getlocations-lite' ),
      "SM" => __( "San Marino", 'getlocations-lite' ),
      "ST" => __( "Sao Tome and Principe", 'getlocations-lite' ),
      "SA" => __( "Saudi Arabia", 'getlocations-lite' ),
      "SN" => __( "Senegal", 'getlocations-lite' ),
      "RS" => __( "Serbia", 'getlocations-lite' ),
      "SC" => __( "Seychelles", 'getlocations-lite' ),
      "SL" => __( "Sierra Leone", 'getlocations-lite' ),
      "SG" => __( "Singapore", 'getlocations-lite' ),
      "SX" => __( "Sint Maarten (Dutch part)", 'getlocations-lite' ),
      "SK" => __( "Slovakia", 'getlocations-lite' ),
      "SI" => __( "Slovenia", 'getlocations-lite' ),
      "SB" => __( "Solomon Islands", 'getlocations-lite' ),
      "SO" => __( "Somalia", 'getlocations-lite' ),
      "ZA" => __( "South Africa", 'getlocations-lite' ),
      "GS" => __( "South Georgia and the South Sandwich Islands", 'getlocations-lite' ),
      "SS" => __( "South Sudan", 'getlocations-lite' ),
      "ES" => __( "Spain", 'getlocations-lite' ),
      "LK" => __( "Sri Lanka", 'getlocations-lite' ),
      "SD" => __( "Sudan", 'getlocations-lite' ),
      "SR" => __( "Suriname", 'getlocations-lite' ),
      "SJ" => __( "Svalbard and Jan Mayen", 'getlocations-lite' ),
      "SZ" => __( "Swaziland", 'getlocations-lite' ),
      "SE" => __( "Sweden", 'getlocations-lite' ),
      "CH" => __( "Switzerland", 'getlocations-lite' ),
      "SY" => __( "Syrian Arab Republic", 'getlocations-lite' ),
      "TW" => __( "Taiwan", 'getlocations-lite' ),
      "TJ" => __( "Tajikistan", 'getlocations-lite' ),
      "TZ" => __( "Tanzania", 'getlocations-lite' ),
      "TH" => __( "Thailand", 'getlocations-lite' ),
      "TL" => __( "Timor-Leste", 'getlocations-lite' ),
      "TG" => __( "Togo", 'getlocations-lite' ),
      "TK" => __( "Tokelau", 'getlocations-lite' ),
      "TO" => __( "Tonga", 'getlocations-lite' ),
      "TT" => __( "Trinidad and Tobago", 'getlocations-lite' ),
      "TN" => __( "Tunisia", 'getlocations-lite' ),
      "TR" => __( "Turkey", 'getlocations-lite' ),
      "TM" => __( "Turkmenistan", 'getlocations-lite' ),
      "TC" => __( "Turks and Caicos Islands", 'getlocations-lite' ),
      "TV" => __( "Tuvalu", 'getlocations-lite' ),
      "UG" => __( "Uganda", 'getlocations-lite' ),
      "UA" => __( "Ukraine", 'getlocations-lite' ),
      "AE" => __( "United Arab Emirates", 'getlocations-lite' ),
      "GB" => __( "United Kingdom", 'getlocations-lite' ),
      "US" => __( "United States", 'getlocations-lite' ),
      "UM" => __( "United States Minor Outlying Islands", 'getlocations-lite' ),
      "UY" => __( "Uruguay", 'getlocations-lite' ),
      "UZ" => __( "Uzbekistan", 'getlocations-lite' ),
      "VU" => __( "Vanuatu", 'getlocations-lite' ),
      "VE" => __( "Venezuela", 'getlocations-lite' ),
      "VN" => __( "Viet Nam", 'getlocations-lite' ),
      "VG" => __( "Virgin Islands, British", 'getlocations-lite' ),
      "VI" => __( "Virgin Islands, US", 'getlocations-lite' ),
      "WF" => __( "Wallis and Futuna", 'getlocations-lite' ),
      "EH" => __( "Western Sahara", 'getlocations-lite' ),
      "YE" => __( "Yemen", 'getlocations-lite' ),
      "ZM" => __( "Zambia", 'getlocations-lite' ),
      "ZW" => __( "Zimbabwe", 'getlocations-lite' ),
    );
  }


  public function name($cc) {
    if ( empty($this->countries[$cc]) ) {
      return '';
    }
    return __($this->countries[$cc], 'getlocations-lite');
  }

  public function countries_list($blank = '') {
    $arr = array();
    if ( $blank ) {
      $arr[''] = $blank;
    }
    return array_merge($arr, $this->countries);
  }

}

