<?php
/**
 * @file    tabs.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 */

?>
<div class="wrap">
  <h2><?php _e( 'Getlocations Lite Map settings', 'getlocations-lite' ); ?></h2>
  <?php settings_errors(); ?>

  <h2 class="nav-tab-wrapper">
    <a href="<?php echo GETLOCATIONS_LITE_ADMIN_URL ?>&tab=default_settings" class="nav-tab <?php echo $active_tab == 'default_settings' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Default Settings', 'getlocations-lite' ); ?></a>
    <a href="<?php echo GETLOCATIONS_LITE_ADMIN_URL ?>&tab=providers" class="nav-tab <?php echo $active_tab == 'providers' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Map Providers', 'getlocations-lite' ); ?></a>
    <a href="<?php echo GETLOCATIONS_LITE_ADMIN_URL ?>&tab=markers" class="nav-tab <?php echo $active_tab == 'markers' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Markers', 'getlocations-lite' ); ?></a>
    <a href="<?php echo GETLOCATIONS_LITE_ADMIN_URL ?>&tab=plugins" class="nav-tab <?php echo $active_tab == 'plugins' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Plugins', 'getlocations-lite' ); ?></a>
    <a href="<?php echo GETLOCATIONS_LITE_ADMIN_URL ?>&tab=help" class="nav-tab <?php echo $active_tab == 'help' ? 'nav-tab-active' : ''; ?>"><?php _e( 'Help', 'getlocations-lite' ); ?></a>
  </h2>
