<?php
/**
 * @file    class-getlocations-lite-deactivator.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 *
 * Fired during plugin deactivation
 */

class Getlocations_Lite_Deactivator {

  /**
   * Short Description. (use period)
   *
   * Long Description.
   *
   * @since    1.0.0
   */
  public static function deactivate() {

    delete_option( 'getlocations_lite_db_version' );
    delete_option( 'getlocations_lite_default_settings' );
    delete_option( 'getlocations_lite_marker_data' );
    delete_option( 'getlocations_lite_providers' );
    delete_option( 'getlocations_lite_map_keys' );
    delete_option( 'getlocations_lite_default_marker' );
    delete_option( 'getlocations_lite_geocoders' );
    delete_option( 'getlocations_lite_icondata' );
    delete_option( 'getlocations_lite_marker_titles' );
    delete_option( 'getlocations_lite_plugins' );
    delete_option( 'getlocations_lite_plugins_settings' );

  }
}
