<?php
/**
 * @file    uninstall.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 *
 * Fired when the plugin is uninstalled.
 *
 */

// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
  exit;
}
// TODO
// check if db table still exists and delete

global $wpdb;
$table_name = $wpdb->prefix . 'getlocations_lite_maps';
$sql = "DROP TABLE IF EXISTS $table_name";
$wpdb->query( $sql );

// check for admin option named getlocations_lite_*
$all_options = wp_load_alloptions();
foreach( $all_options as $name => $value ) {
  if (stripos($name, 'getlocations_lite_') === 0) {
    delete_option($name);
  }
}
